rte_pmd_cnxk_ipsec_outer_ip_hdr(3)

NAME
rte_pmd_cnxk_ipsec_outer_ip_hdr

SYNOPSIS

#include <rte_pmd_cnxk.h>

Detailed Description

Outer header info for Inbound or Outbound

Definition at line 99 of file rte_pmd_cnxk.h.

Field Documentation

  uint32_t dst_addr
IPv4 destination

Definition at line 102 of file rte_pmd_cnxk.h.

  uint32_t src_addr
IPv4 source

Definition at line 104 of file rte_pmd_cnxk.h.

  uint8_t src_addr[16]
IPv6 source

Definition at line 108 of file rte_pmd_cnxk.h.

  uint8_t dst_addr[16]
IPv6 destination

Definition at line 110 of file rte_pmd_cnxk.h.

Author

Generated automatically by Doxygen for DPDK from the source code.